;-------------------------------------------------------------------------------
; Program Name: DrawCircle.lsp
; Function:     An example to work on CAD application by drawing a circle.
;-------------------------------------------------------------------------------

(defun c:DrawCircle()
(vl-load-com)

; Get running CAD application object
(setq app (vlax-get-acad-object))

; Get an Active document object of the CAD application
(setq doc (vlax-get-property app "ActiveDocument"))

; Get model space object
(setq mspace (vlax-get-property doc "ModelSpace"))

; Draw a circle on model space having center(3.0 3.0 0.0) and radius 5
(setq center (vlax-3d-point '(3.0 3.0 0.0)))
(setq radius 5)
(setq mycircle (vlax-invoke-method mspace "AddCircle" center radius))
}